Saturday, November 8, 2014

Rien n’est simple

Lino Così failed because it uses lino.modlib.excerpts which in turn depends on lino.modlib.outbox (which in turn depends on lino.modlib.uploads), but does not install these dependencies.

The test suite failed to reveal this problem because The apc demo project was not being tested.

New feature: Thte new attribute lino.core.site.Site.needs_plugins makes it possible to resolve such dependencies transparently.

A first success for docs/tickets/143 : the dd.AbstractTable.start_at_bottom option starts to work. Yes, this is quite tricky. See the source code.